> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wiza.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List

> Get the list with the given id



## OpenAPI

````yaml /swagger/v1/openapi.yaml get /api/lists/{id}
openapi: 3.0.1
info:
  title: Wiza API Documentation
  version: v1
servers:
  - url: https://wiza.co
    variables:
      defaultHost:
        default: wiza.co
security: []
paths:
  /api/lists/{id}:
    parameters:
      - name: id
        in: path
        description: id
        required: true
        schema:
          type: string
    get:
      tags:
        - Lists
      summary: Get List
      description: Get the list with the given id
      responses:
        '200':
          description: successful
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ListResponse'
                  - type: object
                    properties:
                      status:
                        type: object
                        properties:
                          code:
                            type: integer
                            example: 200
                          message:
                            type: string
                            example: ''
        '401':
          description: Unauthorized
      security:
        - bearer_auth: []
      x-codeSamples:
        - lang: Javascript
          source: >
            const apiKey = "your api key here" // update with your api_key

            const listId = 0 // update with the id of the list that you would
            like returned


            const myHeaders = new Headers();

            myHeaders.append('Authorization', `Bearer ${apiKey}`);


            const requestOptions = {
              method: 'GET',
              headers: myHeaders,
              redirect: 'follow'
            };


            fetch(`https://wiza.co/api/lists/${listId}`, requestOptions)
              .then((response) => response.text())
              .then((result) => console.log(result))
              .catch((error) => console.error(error));
        - lang: Python
          source: >
            import http.client


            api_key = "your api key here" # update with your api_key

            list_id = 0 # update with the id of the list that you would like
            returned


            conn = http.client.HTTPSConnection('wiza.co')

            authorization = ("Bearer {api_key}").format(api_key=api_key)

            payload = ''

            headers = { 'Authorization': authorization }

            url = ("/api/lists/{list_id}").format(list_id=list_id)

            conn.request('GET', url, payload, headers)

            res = conn.getresponse()

            data = res.read()

            print(data.decode('utf-8'))
        - lang: Ruby
          source: >
            require 'uri'

            require 'net/http'


            api_key = "your api key here" # update with your api_key

            list_id = 0 # update with the id of the list that you would like
            returned


            url = URI("https://wiza.co/api/lists/#{list_id}")


            https = Net::HTTP.new(url.host, url.port);

            https.use_ssl = true

            request = Net::HTTP::Get.new(url)

            request['Authorization'] = "Bearer #{api_key}"


            response = https.request(request)

            puts response.read_body
        - lang: Curl
          source: >
            api_key="your api key here" # update with your api_key

            list_id=0 # update with the id of the list that you would like
            returned


            curl --location "https://wiza.co/api/lists/${list_id}" --header
            "Authorization: Bearer ${api_key}"
components:
  schemas:
    ListResponse:
      type: object
      properties:
        status:
          type: object
          properties:
            code:
              type: integer
              example: 200
            message:
              type: string
              example: 🧙 Wiza is working on it!
        type:
          type: string
          enum:
            - list
          example: list
        data:
          type: object
          properties:
            id:
              type: integer
              example: 15
            name:
              type: string
              example: VP of Sales in San Francisco
            status:
              type: string
              example: queued
            stats:
              type: object
              properties:
                people:
                  type: integer
                  example: 2
                credits:
                  type: object
                  properties:
                    email_credits:
                      type: integer
                      nullable: true
                      example: 1
                    phone_credits:
                      type: integer
                      nullable: true
                      example: 1
                    export_credits:
                      type: integer
                      nullable: true
                      example: 1
                    api_credits:
                      type: object
                      nullable: true
                      properties:
                        email_credits:
                          type: integer
                          example: 2
                        phone_credits:
                          type: integer
                          example: 5
                        scrape_credits:
                          type: integer
                          example: 1
                        total:
                          type: integer
                          example: 8
            finished_at:
              type: string
              format: date-time
              nullable: true
            created_at:
              type: string
              format: date-time
            enrichment_level:
              type: string
              example: partial
            email_options:
              type: object
              properties:
                accept_work:
                  type: boolean
                  example: true
                accept_personal:
                  type: boolean
                  example: true
                accept_generic:
                  type: boolean
                  example: true
            report_type:
              type: string
              example: people
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: >-
        Enter your bearer token (your API key) in the **Authorization** header
        in the format `Bearer {token}`

````